Subject: [bug#27888] [PATCH 01/18] gnu: python@3: Update to 3.6.2.

From: Leo Famulari <[email-masked]>
Date: Mon, 31 Jul 2017 19:07:00 -0400

On Mon, Jul 31, 2017 at 10:07:18PM +0200, Marius Bakke wrote:
> * gnu/packages/patches/python-3.5-fix-tests.patch: Rename to ...
> * gnu/packages/patches/python-3-fix-tests.patch: ... this. Adjust and disable
> more tests.
> * gnu/packages/patches/python-3.5-getentropy-on-old-kernels.patch: Delete file.

I'm curious, do you know if they handled this issue upstream in a
reliable way, or is getentropy() simply unused in Python 3.6?

Also, do you have any idea about the state of the bytecode timestamp
issue, which is related to the problem with the bytecode cache? I can
work on that on python-updates when you push it.